## mars.mips.instructions.syscalls
Class SyscallReadChar

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallReadChar

All Implemented Interfaces:
  Syscall

    public class SyscallReadChar

extends AbstractSyscall

Service to read a character from input console into $a0.

Constructor Summary
`SyscallReadChar()` Build an instance of the Read Char syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to read a character from input console into $a0

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallReadChar

    public SyscallReadChar()

  Build an instance of the Read Char syscall. Default service number is 12 and name is "ReadChar".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to read a character from input console into $a0

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`